Bug 275211 - Review Request: php-channel-phpdb - Adds phpdb channel to PEAR
Review Request: php-channel-phpdb - Adds phpdb channel to PEAR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 256521 266801 266821
  Show dependency treegraph
 
Reported: 2007-09-03 10:30 EDT by Alexander Kahl
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 21:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-09-03 10:30:45 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-channel-phpdb.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-channel-phpdb-1.0.0-3.fc7.src.rpm
Description: This package adds the phpdb channel which allows
PEAR packages from this channel to be installed.

--

I'm still searching for a sponsor.
Comment 1 Remi Collet 2007-09-08 01:22:36 EDT
NOT A FORMAL REVIEW (i'm not a sponsor)

* no source files
* package meets naming and packaging guidelines (no special guideline for channels).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible (LGPLv2).
* BuildRequires are proper.
* %clean is present.
* package builds in mock (F7 - x86_64).
* package installs properly
* rpmlint :
W: php-channel-phpdb no-documentation
* final provides are sane:
php-channel(pear.phpdb.org) = 1.0.0-3.fc8
php-channel-phpdb = 1.0.0-3.fc8
* %check is not present; no test suite provide.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear channel..)
* no documentation 

No version for the .xml file, but i think using 1.0.0 is OK.
No License but LGPLv2 seems OK as is the license of the package provided on this
channel (could be "public domain").

Should : as the version has no meaning, you probably can ommit it in the virtual
provides : php-channel(pear.phpdb.org)
Comment 2 Remi Collet 2007-09-24 11:50:34 EDT
As you're now sponsored, the above review is a FORMAL REVIEW :

APPROVED

P.S. Should about provides : php-channel(pear.phpdb.org) still apply.
Comment 3 Remi Collet 2007-09-24 11:55:22 EDT
Oups...

Should also add :
Requires(post): %{__pear}
Requires(postun): %{__pear}
Comment 4 Alexander Kahl 2007-09-25 14:30:01 EDT
Great thanks, I've removed the version number from the virtual Provides.
Comment 5 Alexander Kahl 2007-09-25 14:33:34 EDT
New Package CVS Request
=======================
Package Name: php-channel-phing
Short Description: Adds phing channel to PEAR
Owners: akahl
Branches: F-7 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 6 Remi Collet 2007-09-25 14:53:22 EDT
I don't think you could push this to EL-4 (pear really too old), or you need a
completely different spec.
Comment 7 Kevin Fenzi 2007-09-25 19:12:09 EDT
Alexander: Do you wish to modify your cvs request in light of comment #6? 
Comment 8 Alexander Kahl 2007-09-25 20:51:39 EDT
Actually I'm co-maintaining an additional EL-4 system (CentOS 4.5) and wanted to
support it officially, so I'd thought it would be a good idea. If you're saying
EL-4 support is problematic, drop both EL-{4,5} from the cvs request and leave
it as F-7.

How is the procedure to get a separate Spec for EL-4 approved?
Comment 9 Alexander Kahl 2007-09-25 20:55:37 EDT
Sorry, mistake: The cvs request says "php-channel-phing", I've confused it with
Bug 275231;
The request should read now:

Package Name: php-channel-phpdb
Short Description: Adds phpdb channel to PEAR
Owners: akahl
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2007-09-26 12:37:45 EDT
cvs done. 

There isn't really any procedure to review a seperate spec for el branches. 
Perhaps you could do some testing and get it all working for epel and then
request branches? 
Comment 11 Alexander Kahl 2007-09-26 21:52:11 EDT
OK I'll do it that way, thanks for your help Kevin.

All builds successful.
Comment 12 Fedora Update System 2007-09-28 17:21:48 EDT
php-channel-phpdb-1.0.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.